## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name cmap
%global forgeurl https://github.com/tlambert03/cmap

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %{autorelease}
Summary:        Scientific colormaps for python, without dependencies
%forgemeta
# The colormaps carry their own licenses
License:        BSD-3-Clause AND MIT AND Apache-1.1 AND CC-BY-4.0 AND BSD-1-Clause
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
# For hatch-vcs
BuildRequires:  git-core

%global _description %{expand:
Scientific colormaps for python, with no dependencies beyond numpy.

With cmap, you can use any of the colormaps from matplotlib, cmocean,
colorbrewer, crameri, seaborn, and a host of other collections in your
python code, without having to install matplotlib or any other
dependencies beyond numpy.}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1 -S git

# Make sure this is the last step in prep
git tag v%{version}


%generate_buildrequires
%pyproject_buildrequires -x test_min


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}


%check
%pytest -v


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.3.0-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 25 2024 Packit <hello@packit.dev> - 0.3.0-1
- Update to 0.3.0 upstream release
- Resolves: rhbz#2299865

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 21 2024 Packit <hello@packit.dev> - 0.2.2-1
- Update to 0.2.2 upstream release
- Resolves: rhbz#2293519

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.2.1-2
- Rebuilt for Python 3.13

* Sun May 19 2024 Packit <hello@packit.dev> - 0.2.1-1
- Update to 0.2.1 upstream release
- Resolves: rhbz#2281452

* Mon Mar 18 2024 Sandro <devel@penguinpee.nl> - 0.2.0-1
- Initial release (RHBZ#2268679)
- Scientific colormaps for python, without dependencies
## END: Generated by rpmautospec
